Importing VEM500-201201140102-BG-release.zip to VUM results in an error

In order to install cross_cisco-vem-v140-4.2.1.1.5.1.0-3.0.1.vib to our vCenter 5 / ESXi 5 / Cisco 1000V environment we attempted to add the following VEM to VMware Update Manager (VUM): VEM500-201201140102-BG-release.zip (extracted from Nexus1000v.4.2.1.SV1.5.1.zip). Unfortunately on first attempt we received an error along the lines of “invalid vendor code CSCO in patch metadata, another vendor code with different code already exists…” (I didn’t save the error and only googled it in partiality so I can’t copy it here I’m afraid). In short, it stopped us from importing the patch.

This was solved by extracting the VEM500-201201140102-BG-release.zip, opening index.xml (wordpad is suitable) and modifying the code XML node from CSCO to csco. We then rezipped the folder contents and imported it successfully.

Thanks to http://www.thatcouldbeaproblem.com/?p=341 for the nod in the right direction :)

Leave a Reply

Your email address will not be published.